Package com.sas.lsaf.content.repository

## Class CheckedOutFilesSearchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.content.repository.CheckedOutFilesSearchException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CheckedOutFilesSearchException
      extends AbstractCheckedException

  Thrown when an error is encountered when searching checked out files.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckedOutFilesSearchException​(java.lang.String message)` | Constructor to specify detailed message about the exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` | Gets the path that is specified in the exception.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckedOutFilesSearchException

          public CheckedOutFilesSearchException​(java.lang.String message)

      Constructor to specify detailed message about the exception.
      Parameters:
        `message` - The detailed message about the exception.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the path that is specified in the exception.
      Returns:
        The path of the object that the exception is about.